import { CnTreeSelect as UiCnTreeSelect, formilyReact } from '@cainiaofe/cn-ui';
import React from 'react';
import { mapStatus } from '../../mapStatus.js';
const { connect, useFieldSchema, mapProps } = formilyReact;
export const CnTreeSelect = connect((props) => {
    const fieldSchema = useFieldSchema();
    return (React.createElement(UiCnTreeSelect, { ...props, visible: true, className: "cn-ai-table-schema-field__item--full-width", popupContainer: document.getElementById(fieldSchema === null || fieldSchema === void 0 ? void 0 : fieldSchema.name) }));
}, mapProps(mapStatus, {
    dataSource: true,
}));
CnTreeSelect.displayName = 'CnTreeSelect';
